RK-A - Bug #1670

Fix the bug in saving has_noun dictionary values

09/20/2021 04:50 AM - Nandini Bansal

Status: Closed Start date: 09/20/2021
Priority: High Due date:

Assignee: Nandini Bansal % Done: 100%
Category: Estimated time: 1.00 hour
Target version: P1 Spent time: 0.00 hour
Description

| found an inconsistency in the way values are being stored in the has_noun function in two different places in BR3_IR3_tagger.py. In
extract_single_uncommon_words, with the header as key, the list of (word, pos_tag) is saved as the value whereas, in the
assign_subtract_const function, the value is stored as a list of pos_tags.

This is causing issues in the assignment of the correct subtract_const value for a header variant. We need to make sure that in the
assign_subtract_const function as well, the values are stored as a list of (word, pos_tag) and subsequent changes are made to
ensure that the functionality of assign_subtract_const is not affected.

History

#1 - 09/20/2021 04:50 AM - Nandini Bansal
- Estimated time set to 1.00 h

#2 - 09/20/2021 05:27 AM - Nandini Bansal

- Assignee set to Nandini Bansal

#3 - 09/27/2021 08:08 AM - Nandini Bansal
- % Done changed from 0 to 100

#4 - 10/13/2021 06:41 AM - Nandini Bansal

- Status changed from New to Resolved

#5 - 10/20/2021 08:50 AM - Nandini Bansal

- Status changed from Resolved to Closed
